This sensor shield is made for capacitive sensing but for proximity and not direct touch.
After realizing a simple TTP223 could detect my hand at a distance of more than 10cm when using a simple metal ruler as electrode, and viewing @petewill chair occuppancy video (https://forum.mysensors.org/topic/6734/video-how-to-battery-powered-chair-occupancy-contact-sensor/13) I thought I should give a try to the capacitive proximity detection.
I'm not sure **at all** of the performance of the detection with this style of electrode, so don't order this shield until I've been able to make some tests. I've made the center of the electrode hollow to limit its capacitance as I don't know how much the TTP223 can handle, and used the max available space on a 10*10cm PCB.

Goals for the sensors made with this shield are :
 - enable "button" style touch through thick material like a table/desk or side panel of furniture
 - enable presence dectection at a table/desk either through the top surface or by proximity detection on the side
 - presence/proximity detection on a chair, through the chair seat (of course will depend on the performance of the detection with this board, which I'm very unsure about :))

# Preparing the NModule for this shield
Pin 10 & 11 should kept, they are not connected but they will ensure a better mechanical bond between the NModule and the sensor shield.

# Assembly

![Top](https://www.openhardware.io//uploads/592716e8a4812b2f291cb469/image/ProximityTouch_Top_Sensor.png "Top")
![Bottom](https://www.openhardware.io//uploads/592716e8a4812b2f291cb469/image/ProximityTouch_Bottom_Sensor.png "Bottom")

## LEDs
I don't think it's very useful to have LEDs for this type of sensor (it's suppsoed to be invisible), so I've only put SMD LEDs that I will use for testing purpose.
Resistors for the LEDs are at the top of the PCB in the white rectangle: clear red for the resistor of the red led, clear green for the resistor of the green led.
LEDs are on the bottom of the PCB inside the black rectangle, I let you guess the colors :)

## NModule
NModule should be on the TOP of the PCB (opposite to sensing electrode). With NModule connector and pins 10&11 you can't make any mistake

## TTP223 touch sensor
My favorite way here it to use the small TTP223 chip, in SMD version. But it's really tiny and not that easy to solder, so I've worked out a simple way to avoid it if you want to.

### SMD version
TTP223 footprint is in the blue rectangle.
You only need to solder TTP223 and the 100nF capacitor (at the bottom on the PCB picture above).
The other capacitor is to set sensitivity. It's maximum with no capacitor, minimum with the max allowed value of 50pF.

### Non SMD version
For the non SMD version, you will need those very cheap touch sensors from AliExpress of ebay. You need this specific model with tiny breakout board else my trick will not work !
You will also need one angled header pin (remove the plastic part).

![TTP223 breakout board](https://www.openhardware.io//uploads/592716e8a4812b2f291cb469/image/IMAG1691.jpg "TTP223 breakout board and angled pin")

What you need to do is simple :
 - remove the LED on the breakout board, it's on the top left on the picture above (see my video on NModule page if you're not sure about the way to do it easily)
 - solder the breakout board on the sensor shield, it's in the area in the red rectangle
 - solder the angled header in the hole of the sensor shield that is just on the right of the breakout board. The other side of the pin should be along the arrow drawn on the PCB and will end magically on a pad in the corner of the breakout board. Which happens to be connected to the electrode pin of the TTP223 :)
 - solder the angled pin to the tab on the TTP223 breakout board
 - it's done !

## Increasing size of the electrode

I have added connectors to join 2 PCBs (in the yellow rectangles) and increase the surface of the electrode.
But I'm not sure at all if the TTP223 can handle such a huge electrode (my bet is it can't :) ), I will test and report the results.